/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

import ClayLabel from '@clayui/label';
import ClayTable from '@clayui/table';
import PropTypes from 'prop-types';
import React from 'react';

const LanguageListItem = ({displayName, isDefault}) => (
	<ClayTable.Row>
		<ClayTable.Cell expanded>
			{displayName}
			{isDefault && (
				<ClayLabel className="ml-3" displayType="info">
					{Liferay.Language.get('default')}
				</ClayLabel>
			)}
		</ClayTable.Cell>
	</ClayTable.Row>
);

LanguageListItem.propTypes = {
	isDefault: PropTypes.bool.isRequired,
};

export default LanguageListItem;
